#Importation des libraries nécessaires
#----------------------------------------------------
from tkinter import *
import tkinter as tk
from functools import partial
#----------------------------------------------------


#Configurtion de la fenêtre
#----------------------------------------------------
fenetre = Tk()
fenetre.title("Ma permière fenêtre Tkinter!")
fenetre.geometry("1080x720")
fenetre.config(bg="#d1fdff")
fenetre.iconbitmap("logo.ico")
fenetre.minsize(500,500)
#----------------------------------------------------


#Organiser la fenêtre avec des boîtes
#----------------------------------------------------
boitelabels = Frame(fenetre, bg="#d1fdff")
boitecompteur = Frame(fenetre, bg="#d1fdff")
boitecouleurs = Frame(fenetre, bg="#d1fdff")
boiteentree = Frame(fenetre, bg="#d1fdff")
boitemenu = Frame(fenetre, bg="#d1fdff")
sousboitemenu = Frame(boitemenu, bg="#d1fdff")
#----------------------------------------------------

#Afficher du texte avec les Labels
#----------------------------------------------------
titre = Label(boitelabels, text="Voici un exemple de Label en police consolas et en taille 20", font=("Consolas",20), bg="#d1fdff", fg="black")
soustitre = Label(boitelabels, text="Voici un exemple de Label en police Helvetica et en taille 15", font=("Helvetica",15), bg="#d1fdff", fg="black")
#----------------------------------------------------

#Les différentes fonctions et boutons du menu de navigation
#----------------------------------------------------
def afficher_labels():
    boitelabels.pack(expand=YES)
    boitemenu.pack_forget()

def afficher_compteur():
    boitecompteur.pack(expand=YES)
    boitemenu.pack_forget()
    
def afficher_couleurs():
    boitecouleurs.pack(expand=YES)
    boitemenu.pack_forget()
    
def afficher_entree():
    boiteentree.pack(expand=YES)
    boitemenu.pack_forget()
    
def retour_menu():
    boitemenu.pack(expand=YES)
    boitelabels.pack_forget()
    boitecompteur.pack_forget()
    boitecouleurs.pack_forget()
    boiteentree.pack_forget()
    
b_labels = Button(boitemenu, text="Afficher les Labels", font=("Consolas",15), bg="white", fg="black", command=afficher_labels, width=75)
b_compteur = Button(sousboitemenu, text="Afficher le compteur", font=("Consolas",15), bg="white", fg="black", command=afficher_compteur, width=36, height=2)    
b_couleurs = Button(sousboitemenu, text="Afficher les boutons \npour changer la couleur du titre", font=("Consolas",15), bg="white", fg="black", command=afficher_couleurs, width=36, height=2)    
b_entree = Button(boitemenu, text="Afficher le champ pour changer le titre", font=("Consolas",15), bg="white", fg="black", command=afficher_entree, width=75)
b_retour1 = Button(boitelabels, text="retourner au menu", font=("Consolas",15), bg="white", fg="black", command=retour_menu, width=35)
b_retour2 = Button(boitecompteur, text="retourner au menu", font=("Consolas",15), bg="white", fg="black", command=retour_menu, width=35)
b_retour3 = Button(boitecouleurs, text="retourner au menu", font=("Consolas",15), bg="white", fg="black", command=retour_menu, width=35)
b_retour4 = Button(boiteentree, text="retourner au menu", font=("Consolas",15), bg="white", fg="black", command=retour_menu, width=35)
#----------------------------------------------------


#Le compteur de clics
#----------------------------------------------------
nb_clicks=0
textecompteur = Label(boitecompteur, text="nombre de clicks : %s" %(nb_clicks), font=("Helvetica",15), bg="#d1fdff", fg="black")

def compteur():
    global nb_clicks
    nb_clicks += 1
    textecompteur.config(text="nombre de clicks : %s" %(nb_clicks))

bouton1 = Button(boitecompteur, text="Je suis un bouton", font=("Consolas",15), bg="white", fg="black", command=compteur, width=50, height=3)
#----------------------------------------------------


#Les boutons utilisant une fonction avec un argument à l'aide de partial
#----------------------------------------------------
def changer_couleur_titre(couleur):
    titre.config(fg=couleur)

bouton2 = Button(boitecouleurs, text="titre rouge", font=("Consolas",15), bg="white", fg="black", command=partial(changer_couleur_titre,"red"))
bouton3 = Button(boitecouleurs, text="titre bleu", font=("Consolas",15), bg="white", fg="black", command=partial(changer_couleur_titre,"blue"))
#----------------------------------------------------


#Ajouter un champ de texte avec une Entry
#----------------------------------------------------
variable=tk.StringVar()                              #création d'une variable tkinter pouvant être affichée dans l'interface
variable.set("Vous pouvez me modifier")
entree = Entry(boiteentree, textvariable=variable, font=("Helvetica",15), bg="#d1fdff", fg="black", width=30)

def changer_titre():
    titre.config(text=variable.get())

bouton4 = Button(boiteentree, text="Cliquez pour actualiser", font=("Helvetica",15), bg="#d1fdff", fg="black", command = changer_titre)
#----------------------------------------------------


#Ne pas oublier d'appeler les éléments à afficher !
#----------------------------------------------------
boitemenu.pack(expand=YES)
titre.pack(pady=40)
soustitre.pack(pady=10)
bouton1.pack(pady=10)
textecompteur.pack(pady=10)
bouton2.pack()
bouton3.pack()
entree.pack(pady=20)
bouton4.pack()
b_labels.pack(pady=5)
sousboitemenu.pack()
b_compteur.grid(row=1, column=0, sticky=W, pady=5, padx=5)
b_couleurs.grid(row=1, column=1, sticky=W, pady=5, padx=5)
b_entree.pack(pady=5)
b_retour1.pack(pady=10)
b_retour2.pack(pady=10)
b_retour3.pack(pady=10)
b_retour4.pack(pady=10)
#----------------------------------------------------


#Ni d'appeler la fenêtre !
#----------------------------------------------------
fenetre.mainloop()
#----------------------------------------------------